#!/usr/bin/env python
from netCDF4 import Dataset
import numpy
from numpy.random import uniform
import time

lats =  numpy.arange(-90,91,2.5)
lons =  numpy.arange(-180,180,2.5)
nlats = numpy.size(lats)
nlons = numpy.size(lons)

rootgrp = Dataset('test.nc', 'w', format='NETCDF4')
rootgrp.description = 'bogus example script'
rootgrp.history = 'Created ' + time.ctime(time.time())
fcstgrp = rootgrp.createGroup('forecasts')
analgrp = rootgrp.createGroup('analyses')
level = rootgrp.createDimension('level', 10)
lat = rootgrp.createDimension('lat', nlats)
lat = rootgrp.createDimension('lon', nlons)
time = rootgrp.createDimension('time', None)
times = fcstgrp.createVariable('time','f8',('time',))
levels = fcstgrp.createVariable('level','i4',('level',))
latitudes = fcstgrp.createVariable('latitude','f4',('lat',))
longitudes = fcstgrp.createVariable('longitude','f4',('lon',))
temp = fcstgrp.createVariable('temp','f4',('time','level','lat','lon',))

latitudes.units = 'degrees north'
longitudes.units = 'degrees east'
levels.units = 'hPa'
temp.units = 'K'
times.units = 'hours since 1949-01-01 00:00:00.0'
times.calendar = 'gregorian'

latitudes[:] = lats
longitudes[:] = lons
temp[0:5,0:10,:,:] = uniform(size=(5,10,nlats,nlons))
levels[:] =  [1000.,850.,700.,500.,300.,250.,200.,150.,100.,50.]
rootgrp.close()
