#!/bin/bash

clear
echo 'Hello there ! Testing netCDF library !'

echo press any key
read

clear

echo 'Have the following TEXT file on disk :'
echo example.cdl
echo '############'
cat example.cdl
echo '############'

echo press any key
read

clear
echo 'We check if it is correct :'
echo 'ncgen example.cdl'

echo press any key
read

ncgen example.cdl
if [ $? -ne 0 ]
then
  echo Some Error !
  exit -1
else
  echo 'It is !'
fi

echo press any key
read

clear
echo 'Build the binary file :'
echo ncgen -b example.cdl
ncgen -b example.cdl
if [ $? -ne 0 ]
then
  echo Some Error !
  exit -1
fi

echo press any key
read

clear
echo 'Here is the binary:'
ls -l example.nc

echo press any key
read

clear
echo 'Dump the content :'
echo ncdump example.nc
echo press any key
read
ncdump example.nc

echo press any key
read

clear
echo 'Generate C code to make same file:'
echo 'ncgen -lc example.cdl'
ncgen -lc example.cdl > build.c

echo press any key
read

clear
vi build.c
echo press any key
read

clear
echo 'Compile the C program :'
echo 'gcc `nc-config --cflags` -O2 build.c `nc-config --libs`'
gcc `nc-config --cflags` -O2 build.c `nc-config --libs`

echo press any key
read

clear
echo 'Run the program'
echo ./a.out
./a.out

echo press any key
read

clear
echo 'Check result'
ncdump example.nc

echo press any key
read
echo 'Cleanup...'
rm build.c example.nc a.out
clear
